package org.freehep.jaco.rtti.cpp;

import java.util.Vector;

/**
 * Temporary storage for a type
 *
 * @author Mark Donszelmann
 * @version $Id: Type.java,v 1.4 2002/07/15 18:26:45 duns Exp $
 */

class Type
{
    String name;
    boolean isPrimitive = false;
    boolean isReference = false;
    int dimension = 0;

    // for the typedef
    int pointer = 0;

    Type(String name) {
        this.name = name;
    }

    Type() {
        this.name = "int";
        this.isPrimitive = true;
    }

    public String toString() {
        return ((isPrimitive) ? "#" : "") + name + " " + dimension;
    }
}
